import sys
from eorg.parser import parse
from eorg.generate import html



def tangle(v):
    print("tangle")
    print(v)

def recursive(path):
    for root, dirs, filenames in os.walk(path):
        for filename in filenames:
            if filename.endswith(".org"):
                yield root + os.sep + filename

def tokenize(doc):
    for item in doc:
        print(item)

def htmlize(doc):
    for item in doc:
        print(item)

def handler(fp, kwargs):
    if kwargs.t is True:
        tokenize(doc)
    if kwargs.w is True:
        print(html(doc).read())


if __name__ == "__main__":
    import argparse

    parser = argparse.ArgumentParser(description="Process some .org files")
    parser.add_argument("filename")
    parser.add_argument('-r', action='store_true', help='recursive')
    parser.add_argument('-w', action='store_true', help='html')
    parser.add_argument('-t', action='store_true', help='html')
    parser.add_argument(
        "--tangle",
        dest="tangle",
        const=tangle,
        default=False,
        action="store_const",
        help="Tangle the source code",
    )

    args = parser.parse_args()
    print(args.filename)
    print(args.r)
    if args.r is True:
        sys.exit()

    with open(args.filename, "r") as fp:
        doc = parse(fp)
        handler(parse(fp), args)


